Write a help page that explains how to create non conventional links (interlanguage, interproject, images and categories)
Closed, ResolvedPublic0 Story Points

Description

Explain how to link to pages such as [[:w:en:Example]], [[:m:Example]], etc. using the visual editor (VE). That page would be a global help page about links on VE.

This should probably be a sub-page of https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide, something like https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/Links. That page have to be written in English, using a simple English to be translated.

Context

It is possible to create several type of links on the wikis. The most common ones are links between articles or a link to another website (external link). But it is also possible to:

There is two ways to edit the wikis (for most of them):

This task is about the visual editor. Here is the documentation to edit links.


Imported to GCI as:

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 2 2016, 5:28 PM
Zppix added a comment.May 2 2016, 5:36 PM

I'm willing to do this..

Zppix triaged this task as Normal priority.May 2 2016, 5:41 PM
Zppix claimed this task.May 3 2016, 2:21 PM
Zppix awarded a token.

The instructions you have provide are for wikitext, not VE, and are also wrong (you would write [[:en:Foo]] not [[en:Foo]])

Let's say the instructions need some more improvements?
Pretty please. Thanks. :)

I'm not sure this feature needs its own page. In VE you just have to create an external link to the page on the other wiki and Parsoid will convert it to a interwiki link. This could just be a paragraph in the main documentation.

Thanks for looking at this @Zppix

Whatamidoing-WMF added a comment.EditedMay 5 2016, 5:55 AM

Zppix, have you tried making these kinds of links in the visual editor?

Zppix added a comment.May 5 2016, 6:52 PM

@Whatamidoing-WMF um It was under construction on purpose I was still working on it , and yes to answer..

Zppix added a comment.May 5 2016, 6:52 PM

Also I am not completed

Jdforrester-WMF set the point value for this task to 0.May 10 2016, 4:49 PM
Zppix removed Zppix as the assignee of this task.Jul 31 2016, 5:56 PM

Unassigned as i'm unsure of the tasks current status

Qgil added a subscriber: Qgil.Sep 28 2016, 7:40 AM

@Whatamidoing-WMF the idea of writing a page for this has been contested and @Zppix basically gave up until a plan for this task is agreed (sorry Zppix). What would you recommend at this point?

Qgil lowered the priority of this task from Normal to Low.Feb 7 2017, 2:23 PM
Elitre raised the priority of this task from Low to Needs Triage.

Can I add (and mentor) that task as a Google-Code-in-2017 one?

@Trizek-WMF: Yes, if you'd explain what "interlanguage and interproject links" ( https://www.mediawiki.org/wiki/Help:Links#Interlanguage_links ?) and "VisualEditor" are, and what I as a newcomer to editing wiki pages ( https://meta.wikimedia.org/wiki/Help:Editing ?) would be supposed to do in this task. :)

@Trizek-WMF: Yes, if you'd explain what "interlanguage and interproject links" ( https://www.mediawiki.org/wiki/Help:Links#Interlanguage_links ?) and "VisualEditor" are, and what I as a newcomer to editing wiki pages ( https://meta.wikimedia.org/wiki/Help:Editing ?) would be supposed to do in this task. :)

My question was more for @Whatamidoing-WMF and @Elitre, but you can be sure I'll detail everything if they think that task is relevant for GCI. :)

The task isn't assigned to anyone, so I'm not sure what reply you'd expect from us? I literally added the need-volunteer tag.

The task isn't assigned to anyone, so I'm not sure what reply you'd expect from us? I literally added the need-volunteer tag.

Good. I'm adding it to the contest.

Trizek-WMF updated the task description. (Show Details)Dec 1 2017, 10:49 AM
Trizek-WMF updated the task description. (Show Details)Dec 1 2017, 11:01 AM
Trizek-WMF renamed this task from Write a help page that explains how to create interlanguage and interproject links to Write a help page that explains how to create non conventional links (interlanguage, interproject, images and categories).Dec 1 2017, 11:46 AM
Trizek-WMF updated the task description. (Show Details)

I've edited the page to create a sub-page dedicated to links. That would permit to users to discover there is other cases outside of the internal/external links. Introduce on the sub page the link inspector a`s done on the current documentation page` would be IMO a plus.

I thought that the page was only to describe how to create links using VisualEditor. That's certainly not the situation now. In fact, in some cases, such as the description of how to create category links, the only information is how to do that using the wikitext editor, not how to do so in VisualEditor.

@John_Broughton you thought this and you were right! I fixed the content and provided some helpful screenshots.

(Copy of my comment done on the Google Code-In task.)

Thank you for taking care of that task, @Albert221 ! You have done a great job.

The only point I see as needing more work is on Category link and File link. Have you tried to add a file or a category using the visuel editor? It is indeed possible to prefix the link by a colon, but that's not necessary anymore using VE. :) I think that's what @John_Broughton tried to told you on the Phabricator task.

The help page is for both people who don't know how to insert a link and users who know how to do it using wikitext. You should reflect both aspects of that in that help page.

Otherwise, there a detail to fix, but due to a lack of context from me. The interwiki links list you have linked to is very broad and includes some links that are not handled by Wikimedia wikis. The Help page is designed for both Mediawiki users inside and outside of Wikimedia. I advice you to add a link to https://meta.wikimedia.org/wiki/Help:Interwiki_linking that has specific details for Wikimedia wikis.

Trizek-WMF updated the task description. (Show Details)Dec 13 2017, 4:24 PM

The page is now complete. I've done small copy-editing.

However, don't mark it as resolved: translation markup have now to be added to make it translatable.

Trizek-WMF closed this task as Resolved.Dec 16 2017, 1:03 PM
Trizek-WMF reassigned this task from Albert221 to Clockery.
Trizek-WMF added a subscriber: Albert221.

@Albert221 has setup and written the page, @Clockery has reviewed it and marked it for translation. https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/Links

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 16 2017, 1:03 PM

A note for future work: try and select plainer, unambiguous examples.
https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/Links#Internal_link features "MediaWiki" as the selected article, which is imho too confusing given the many meanings you can attribute to that word; just a few lines later you use the same word to refer to the actual site instead.

Qgil awarded a token.Jan 2 2018, 7:08 PM